package com.muyu.resource.controller;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.muyu.common.core.domain.Result;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.muyu.common.security.annotation.RequiresPermissions;
import com.muyu.resource.domain.ResourceInfo;
import com.muyu.resource.service.ResourceService;

import com.muyu.resource.utils.ExcelUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.resource.controller
 * @Project：cloud-resource
 * @name：ResourceController
 * @Date：2024/8/10 10:35
 */
@Log4j2
@RestController
@RequestMapping("/ResourceInfo")
public class ResourceController {

    @Autowired
    private ResourceService resourceService;



    @Log(title = "用户管理", businessType = BusinessType.IMPORT)
    @RequiresPermissions("Resource:ResourceInfo:import")
    @PostMapping("/importData")
    public Result importData (@RequestParam("file") MultipartFile file,int pageNum,int pageSize) throws Exception {

        String originalFilename = file.getOriginalFilename();

        log.info("传入的文件名:"+originalFilename);

//        ExcelUtil<ResourceInfo> util = new ExcelUtil<ResourceInfo>(ResourceInfo.class);
        //List<ResourceInfo> resourceList = util.importExcel(file.getInputStream());

        ExcelUtil<ResourceInfo> util = new ExcelUtil<>(ResourceInfo.class);

        List<ResourceInfo> resourceInfoList = util.importExcel(file.getInputStream());

        PageHelper.startPage(pageNum,pageSize);


        PageInfo<ResourceInfo> pageInfo = new PageInfo<>(resourceInfoList);

//        String operName = SecurityUtils.getUsername();
//        String message = resourceService.importResource(resourceList, updateSupport, operName);
       return Result.success(pageInfo);

    }


    @PostMapping
    public void ChaChong(){





    }




}
